From: Jan Hemmelmann
Subject: multiple call of _rotate3d
Date: 
Message-ID: <94k8cu$pf2$1@nets3.rz.RWTH-Aachen.DE>
Hello!

I've got some problems with the rotate3d-command, and I hope you can give me
a hint for that. First the command works correct, but if I use it more than
circa 150 times in my lisp-program, I get the message
" _rotate3d This command may not be invoked transparently."
And from that time I get the same message when I invoke the command from the
Acad menu too.
But if I close the current drawing and open it again, the command works
correct again.
Perhaps you've got an idea how to reset the command without leaving
autolisp?

And here is the part of my program. First I create a box, then I want the
box to rotate on the screen.
(defun c:altac()
  (setq x 10.0)
  (setq y 20.0)
  (setq z 30.0)
  (setq w (list x  y  z))
  (setq xdf (+ x 50))
  (setq ydf y)
  (setq zdf z)
  (setq df (list xdf ydf zdf))
  (command "box" w "l" "50" "50" "5")
  (setq f (entlast))
  (setq z 0)
   (while (<= z 50)
    (setq z (+ z 1))
    (c:rotate3d f "y" df 5)
   )
 )



Thanks for your kind help,
Jan Hemmelmann


<>><<>><<>><<>><<><<><<>><>><<>><<>><<>
Dipl.-Ing. Jan Hemmelmann
Werkzeugmaschinenlabor
RWTH Aachen
Steinbachstra�e 53
D-52056 Aachen
tel:    +49 (0) 241 / 80-7560
fax:   +49 (0) 241 / 8888-293
email: ············@wzl.rwth-aachen.de
web:   http://www.wzl.rwth-aachen.de
<>><<>><<>><<>><<><<><<>><>><<>><<>><<>